Codevisor Docs
Api reference

POST Plugins PluginId Panes PaneId Token

POST/v1/plugins/{pluginId}/panes/{paneId}/token

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

pluginId*string
paneId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

paneType*string
workspaceId?string|null
cwd?string|null
themeMode?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/plugins/string/panes/string/token" \  -H "Content-Type: application/json" \  -d '{    "paneType": "string"  }'
{  "token": "string",  "path": "string",  "url": "string",  "expiresAt": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}